<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Robocar IHM</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body ng-app="deimos-dashboard" ng-controller="generalController as vm" >
  <div class="streamDisplay" ng-style="{'background-image':'url('+ realtime_image +')'}">
    <!-- Left Menu -->
    <div id="leftmenu">
    
      <div id="date_time">
        <div id="date" class="semi_arc e4">
          <div class="semi_arc_2 e4_1">
            <div class="counterspin4"></div>
          </div>
            <div style="font-size: 40px; margin-top: 25px;">{{ vm.day_nb }}</div>
            <div style="font-size: 25px;">{{ vm.month }}</div>
        </div>
        
        <div id="time" class="arc e1">
            <div style="font-size: 23px; margin-left: -10px; margin-top: 23px;">{{ vm.hour }}</div>
            <div style="font-size: 17px; margin-top: 10px;">{{ vm.day }}</div>
        </div>
      </div>
      
      <p class="title"><i class="fas fa-car"></i> ROS Master</p>
      <div class="hline title_underline"></div>
      
      <span class="menuitem entypo-gauge" style="font-size: 30px; margin-left: 10px;">
        <p id="cpu" class="caption" style="font-size: 20px;"><i class="fas fa-network-wired"></i> ROS I/O: 415kiB/s</p>
      </span> <br/>
      
      <span class="menuitem entypo-chart-area" style="font-size: 30px; margin-left: 10px;">
        <p id="ram" class="caption" style="font-size: 20px;"><i class="fas fa-battery-half"></i> Battery: 55%</p>
      </span> <br/>
      
      <span class="menuitem entypo-chart-pie" style="font-size: 30px; margin-left: 10px;">
        <p id="proc" class="caption" style="font-size: 20px;"><i class="fas fa-ethernet"></i> Latency: 50ms</p>
      </span>
      
      <p class="title"><i class="fas fa-ellipsis-v"></i> Menu</p>
      <div class="hline title_underline"></div> 
      
      <div class="menu">
        <button ng-src="/#!/" class="menuitem"> <span class="entypo-right-open"/> <p class="caption"><i class="fas fa-video"></i> Live Image</p> </button>
        <button ng-src="/#!/" class="menuitem"> <span class="entypo-right-open"/> <p class="caption"><i class="far fa-chart-bar"></i> Metrics</p> </button>
        <button ng-src="/#!/" class="menuitem"> <span class="entypo-right-open"/> <p class="caption"><i class="fas fa-cogs"></i> Configs</p> </button>
        
        
        <hr style="border-color: transparent; margin: 0;"/>
        <div class="hline" style="margin-top: 5px; margin-bottom: 5px;"></div>
        
        <button ng-click="toggleDebugMode()" class="menuitem"> 
          <span class="entypo-right-open"> 
            <p class="caption" ><i class="fas fa-bug" ng-class="{'red_icon': !debugMode, 'green_icon': debugMode }"></i> Debug mode</p> 
          </span>
        </button>

        <hr style="border-color: transparent; margin: 0;"/>
        <div class="hline" style="margin-top: 5px; margin-bottom: 5px;"></div>
        
        <button ng-click="toggleManualMode()" class="menuitem"> 
          <span class="entypo-right-open"> 
            <p class="caption"  ng-class="{'disabled': !gamepadConnected}"><i class="fas fa-gamepad" ng-class="{'red_icon': !manualMode, 'green_icon': manualMode, 'disabled': !gamepadConnected}"></i> Manual mode</p> 
          </span>
        </button>

        <hr style="border-color: transparent; margin: 0;"/>
        <div class="hline" style="margin-top: 5px; margin-bottom: 5px;"></div>

        <button class="menuitem"> <span class="entypo-right-open"/> <p class="caption"><i class="fas fa-file-video"></i> Start record</p> </button>
        
      </div>
      
      
    </div>
    <div id="page">
      <ng-view></ng-view>
    </div>

    <!-- Left Menu Particles -->
  <canvas id="particle1" width="20" height="500"></canvas> <script>
    var canvas = document.getElementById('particle1');
    var context = canvas.getContext('2d');
    
    context.beginPath();
    context.moveTo(0, 0);
    context.lineTo(0, 70);
    context.lineTo(10, 85);
    context.lineTo(10, 135);
    context.lineTo(0, 150);
    context.lineTo(0, 480);
    context.lineTo(5, 490);
    context.lineTo(10, 490);
    context.lineTo(20, 490);
    context.lineTo(20, 250);
    context.lineTo(10, 235);
    context.lineTo(10, 185);
    context.lineTo(20, 170);
    context.lineTo(20, 40);
    context.lineTo(10, 30);
    context.lineTo(10, 20);
    
    context.closePath();
    context.lineWidth = 1;
    context.fillStyle = 'rgba(2,254,255,0.3)';
    context.fill();
    context.strokeStyle = 'transparent';
    context.stroke();
    </script>
    
    <canvas id="particle1_1" width="40" height="510"></canvas> <script>
    var canvas = document.getElementById('particle1_1');
    var context = canvas.getContext('2d');
    
    context.beginPath();
    context.lineTo(0, 0);
    context.lineTo(10, 15);
    context.lineTo(10, 65);
    context.lineTo(0, 80);
    context.lineTo(0, 0);
    
    context.closePath();
    context.lineWidth = 1;
    context.fillStyle = 'rgba(2,254,255,0.3)';
    context.fill();
    context.strokeStyle = 'transparent';
    context.stroke();
    </script>
    
    <canvas id="particle1_2" width="40" height="510"></canvas> <script>
    var canvas = document.getElementById('particle1_2');
    var context = canvas.getContext('2d');
    
    context.beginPath();
    context.lineTo(10, 80);
    context.lineTo(0, 65);
    context.lineTo(0, 15);
    context.lineTo(10, 0);
    context.lineTo(10, 80);
    
    context.closePath();
    context.lineWidth = 1;
    context.fillStyle = 'rgba(2,254,255,0.3)';
    context.fill();
    context.strokeStyle = 'transparent';
    context.stroke();
    </script>
    
    <div id="particle1_3">
      > > > >
    </div>
    
    <div id="particle2">▶<br/>▶<br/>▶</div>
    <div id="particle3" class="vline"/>
    <div id="particle4" class="vline"/>
    <div id="particle5" class="vline"/>
    <div id="particle6" class="vline"/>
    <div id="particle7" class="vline"/>
    <div id="particle8" class="vline"/>
    <div id="particle9" class="vline"/>
  </div>  
</body>
<script src="dist/app.js"></script>
</html>